Bug 53730 - Add ability to export results in XML/HTML
Add ability to export results in XML/HTML
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
4.x
PC All
: P2 with 2 votes (vote)
: 6.x
Assigned To: Petr Cyhelsky
issues@profiler
: VISUALVM
Depends on: 51274
Blocks: 55451
  Show dependency treegraph
 
Reported: 2005-01-20 10:51 UTC by iformanek
Modified: 2009-05-22 10:03 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iformanek 2005-01-20 10:51:08 UTC
Add ability to export all current profiler 
results in XML/HTML
Comment 1 iformanek 2005-01-20 10:51:25 UTC
Planned for M6
Comment 2 iformanek 2005-02-16 09:17:39 UTC
Misha, are we going to be able to do this for M6?
This probably requires change in the way results are stored, to make 
the exporting code nice (and nicer in case of CSV export).
Comment 3 mishadmitriev 2005-02-16 16:26:52 UTC
Yes, this is going to depend on results storage format, i.e. on issue 
51274. And CSV exporting will have to be reimplemented after 51274 is 
implemented. Given that I will likely be able to get to 51274 only 
some time in the second half of M6 timeframe, this issue (53730) is 
probably better to postpone to M7.
Comment 4 iformanek 2005-04-12 13:58:11 UTC
Postponed to M7
Comment 5 iformanek 2005-06-03 13:54:55 UTC
Not for 1.0
Comment 6 robertoneto123 2007-06-11 10:44:40 UTC
I believe that export also in csv (comma separate values) would be easier to
integrate with other spreadsheet/statistical software...
Comment 7 Alexander Kouznetsov 2007-09-28 11:03:37 UTC
Arbitrary line in snapshot table can be copied to clipboard using CTRL-C combination.
Comment 8 Alexandr Scherbatiy 2007-09-28 11:27:38 UTC
I need to profile a netbeans module and store the profiling results
on a http server to make the results visible for other engineers.  
  
I think that for the this purposes there should be a Generate Report option
that store all profiler snapshots in html (text) formats and generate
an index.html file that points to all results. So it will be easy
to put the report to http server.

Something similar thing exists in NetBeans UML module there you could
invoke 'Model Report' option and all information will be stored in html format.
Comment 9 Petr Cyhelsky 2009-03-06 21:20:58 UTC
fixed in profiler-main: af2bb3815061 , c07c29c7a0bb
Comment 10 Quality Engineering 2009-03-08 07:59:17 UTC
Integrated into 'main-golden', will be available in build *200903080201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/af2bb3815061
User: Petr Cyhelsky <cyhelsky@netbeans.org>
Log: #159754, #53730 Providing export into HTML, XML and CSV for memory profiling based views + some cleanups


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo